function rate = alpha_m(v)

  rate = zeros(size(v));		% DEFAULT RATE TO ZERO
       
  idx = find(v~=25.0);			% HANDLE NORMAL (NON-SINGULAR) CASE
  if(~isempty(idx))
    rate(idx) = 0.1*(-v(idx)+25.0) ./ (exp((-v(idx)+25.0)/10.0)-1.0);
  end

  idx = find(v == 25.0);		% HANDLE SIGULARITY AT V=25.0 
  if(~isempty(idx))
    rate(idx) = 1.0/exp((-v(idx)+25.0)/10.0);
   end

