function rate = alpha_n(v)

  rate = zeros(size(v));

  idx = find(v ==10.0);		% HANDLE SIGULARITY AT V=10.0 
  if(~isempty(idx))
    rate(idx) = 0.1/exp((-v(idx)+10.0)/10.0);
   end
       
  idx = find(v~=10.0);
  if(~isempty(idx))
    rate(idx) = 0.01*(-v(idx)+10.0) ./ (exp((-v(idx)+10.0)/10.0) - 1.0);
  end

